function compileCardTemplate(jsondata){
	var jsondata = JSON.parse(jsondata);
	var tempArr = [] ,result;
	tempArr.push('<data>');
	for(var index in jsondata.data){  
		var param = (jsondata.data)[index];
		tempArr.push('<param paramid="'+param.cardId+'" onchange="" value="'+param.cardId+'">');
		
		param.cardtype = '';
		var cardtype_EN = '';
		var fdStart = param.cardId.indexOf("623524");
		if(fdStart == 0){
			param.cardtype = '借记卡';
			cardtype_EN = 'Debit Card';
		}
		fdStart = param.cardId.indexOf("625164");
		if(fdStart == 0){
			param.cardtype = '信用卡';
			cardtype_EN = 'Credit Card';
		}	
		
		param.cardId = getFormatCardId(param.cardId);
		tempArr.push('<item id="cardId" attribute="value" value="'+param.cardId+'"/>');
		
	
		if(param.defaultCard == true) {
			param.defaultCard='默认卡';
		} else {
			param.defaultCard='';
		} 
		tempArr.push('<item id="isDefaultCard" attribute="value" value="'+param.defaultCard+'"/>');
		if(param.state == 'READY') {
			param.state='正常';
		} else if(param.state == 'INACTIVATED') {
			param.state='待激活';
		} else if(param.state == 'ACTIVATED') {
			param.state='正常';
		} else if(param.state == 'BEING_LOCKED') {
			param.state='锁定中';
		} else if(param.state == 'LOCKED') {
			param.state='锁定';
		} else {
			param.state='';
		}
		tempArr.push('<item id="state" attribute="value" value="'+param.state+'"/>');
		
		param.pan = '****　****　****　' + param.pan.substr(param.pan.length-4);
		tempArr.push('<item id="pan" attribute="value" value="'+param.pan+'"/>');
		tempArr.push('<item id="paymentReadinessState" attribute="value" value="'+param.paymentReadinessState+'"/>');
		tempArr.push('<item id="cardtype" attribute="value" value="'+param.cardtype+'"/>');
		tempArr.push('<item id="cardtype_EN" attribute="value" value="'+cardtype_EN+'"/>');
		tempArr.push('</param>');
	}	
	tempArr.push('</data>');
	result = tempArr.join('');
	return result;
}

function getFormatCardId(paramcard){
	var card = paramcard;
	card = card.replace(/\D/g,'')
	var ncard='';
	for(var n=0;n<card.length;n=n+4){
		ncard += card.substring(n,n+4)+"  ";
	}
	return(ncard.replace(/(\s*$)/g,""));
}

function log(message) {
	com.hundsun.mobile.dom.script.ScriptAPIVisibleMethods.log(message);
}
