var getFnName = function(callee) {
  var _callee = callee.toString().replace(/[\s\?]*/g,""),
  comb = _callee.length >= 50 ? 50 :_callee.length;
  _callee = _callee.substring(0,comb);
  var name = _callee.match(/^function([^\(]+?)\(/);
  if(name && name[1]){
    return name[1];
  }
  var caller = callee.caller,
  _caller = caller.toString().replace(/[\s\?]*/g,"");
  var last = _caller.indexOf(_callee),
  str = _caller.substring(last-30,last);
  name = str.match(/var([^\=]+?)\=/);
  if(name && name[1]){
    return name[1];
  }
  return "anonymous"
};

function executeFunctionJS(functionName, arguments) {
	var array = [];
    for (key in arguments) {
        array.push(arguments[key]+"");
    }
    var serialized =JSON.stringify(array);
    return executeFunctionJSBridge(functionName, serialized);


}


/**
 * This is test method of function executeFunctionJS
 */
function executeTestFunctionJSBridge(functionName, argumentsArray) {
    var i, s, numargs = argumentsArray.length;
    s = numargs; 
    if (numargs < 2)
        s += " argument was passed to "+ functionName +". It was ";
    else
         s += " arguments were passed to "+ functionName +". They were " ;
    for (i = 0; i < numargs; i++)
	{
	s += argumentsArray[i] + " ";
	}
	print(s);
}